## GOComboBox GOComboBox |

## Functions

void | go_combo_box_construct ()
void | go_combo_box_get_pos ()
char const * | go_combo_box_get_title ()
void | go_combo_box_popup_display ()
void | go_combo_box_popup_hide ()
void | go_combo_box_set_display ()
void | go_combo_box_set_relief ()
void | go_combo_box_set_tearable ()
void | go_combo_box_set_title ()
void | go_combo_box_set_tooltip ()

## Properties

gboolean | show-arrow | Read / Write
gchar * | title | Read / Write

## Signals

gboolean | pop-down-done | Run Last

## Types and Values

struct | GOComboBox
struct | GOComboBoxClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── GOComboBox
                            ├── GOCalendarButton
                            ├── GOComboColor
                            ╰── GOComboPixmaps

## Implemented Interfaces

GOComboBox implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

## Functions

### go_combo_box_construct ()

    void
    go_combo_box_construct (GOComboBox *combo,
                            GtkWidget *display_widget,
                            GtkWidget *popdown_container,
                            GtkWidget *popdown_focus);

### go_combo_box_get_pos ()

    void
    go_combo_box_get_pos (GOComboBox *combo,
                          int *x,
                          int *y);

### go_combo_box_get_title ()

    char const *
    go_combo_box_get_title (GOComboBox *combo);

#### Returns

### go_combo_box_popup_display ()

    void
    go_combo_box_popup_display (GOComboBox *combo);

### go_combo_box_popup_hide ()

    void
    go_combo_box_popup_hide (GOComboBox *combo);

Hides popup, but not when it is torn off. This is the external interface - for subclasses and apps which expect a regular combo which doesn't do tearoffs.

#### Parameters

combo | a GOComboBox |

### go_combo_box_set_display ()

    void
    go_combo_box_set_display (GOComboBox *combo,
                              GtkWidget *display_widget);

Sets the displayed widget for the `combo_box` to be `display_widget`

#### Parameters

combo | the GOComboBox to modify |
display_widget | The widget to be displayed |

### go_combo_box_set_relief ()

    void
    go_combo_box_set_relief (GOComboBox *combo,
                             GtkReliefStyle relief);

### go_combo_box_set_tearable ()

    void
    go_combo_box_set_tearable (GOComboBox *combo,
                               gboolean tearable);

controls whether the combo box's pop up widget can be torn off.

#### Parameters

combo | Combo box |
tearable | whether to allow the `combo` to be tearable |

### go_combo_box_set_title ()

    void
    go_combo_box_set_title (GOComboBox *combo,
                            char const *title);

Set a title to display over the tearoff window.

FIXME:

This should really change the title even when the popup is already torn off. I guess the tearoff window could attach a listener to title change or something.

#### Parameters

combo | Combo box |
title | Title |

### go_combo_box_set_tooltip ()

    void
    go_combo_box_set_tooltip (GOComboBox *combo,
                              void *tips,
                              char const *text,
                              char const *priv_text);

## Types and Values

### struct GOComboBox

    struct GOComboBox;

### struct GOComboBoxClass

    struct GOComboBoxClass {
    	/* virtual */
    	/* DEPRECATED: Use notify::title signal instead.  */
    	void  (*set_title) (GOComboBox *combo, char const *title);

    	/* invoked when the popup has been hidden, if the signal
    	 * returns TRUE, it means it should be killed */
    	gboolean   (*pop_down_done)   (GOComboBox *combo, GtkWidget *w);
    };

#### Members

`set_title` () | sets the title. |
`pop_down_done` () | invoked when the popup has been hidden, if the signal returns `TRUE`, it means it should be killed |

## Property Details

### The `“show-arrow”` property

      “show-arrow”               gboolean

Whether to show an arrow for the combo.

Flags: Read / Write

Default value: TRUE

### The `“title”` property

      “title”                    gchar *

The combo box's title.

Flags: Read / Write

Default value: NULL

## Signal Details

### The `“pop-down-done”` signal

    gboolean
    user_function (GOComboBox *gocombobox,
                   GObject    *arg1,
                   gpointer    user_data)

#### Parameters

gocombobox | the object which received the signal. |
user_data | user data set when the signal handler was connected. |

#### Returns

Flags: Run Last